package com.xkrs.service;

import com.xkrs.model.entity.StreetEntity;

import java.util.List;
import java.util.Map;

public interface StreetService {

    List<StreetEntity> findByProName(String proName);

    List<StreetEntity> findByProCode(String proCode);

    List<StreetEntity> findByCityName(String cityName);

    List<StreetEntity> findByCityCode(String cityCode);

    List<StreetEntity> findByCountyName(String countyName);

    List<StreetEntity> findByCountyCode(String countyCode);

    List<StreetEntity> findByStreetName(String streetName);

    List<StreetEntity> findByStreetCode(String streetCode);

    List<Map<String, String>> selectProvinceList();

    List<Map<String, String>> selectCityList(String provinceCode);

    List<Map<String, String>> selectCountyList(String cityCode);

    List<Map<String, String>> selectStreetList(String countyCode);
}
